Bug 108371 - Update port: security/openvpn (add profiles support to startup)
Update port: security/openvpn (add profiles support to startup)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Vasil Dimov
Depends on:
  Show dependency treegraph
Reported: 2007-01-26 13:00 UTC by dsh
Modified: 2007-02-23 08:50 UTC (History)
0 users

See Also:

file.diff (2.38 KB, patch)
2007-01-26 13:00 UTC, dsh
no flags Details | Diff
patch-2.diff (2.91 KB, patch)
2007-02-01 14:04 UTC, gkozyrev
no flags Details | Diff
patch-2.diff (3.00 KB, patch)
2007-02-01 15:23 UTC, gkozyrev
no flags Details | Diff
patch-3.diff (3.31 KB, patch)
2007-02-01 16:08 UTC, Vasil Dimov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dsh 2007-01-26 13:00:34 UTC
This patch add ability to run several instances of the openvpn to the
startup script. In my situation I use openvpn via UDP mainly but some
of my collegs can use TCP only so I have to run second instance of the
Comment 1 Edwin Groothuis freebsd_committer 2007-01-26 13:00:48 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Vasil Dimov freebsd_committer 2007-01-26 14:43:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vd

I will take it. This would be a great feature, missed for a long time.
Comment 3 gkozyrev 2007-02-01 14:04:10 UTC
I suggest a little modification to the patch that saves some typing in rc.conf.
You only have to add
openvpn_profiles="default tcp"
and name your second config /usr/local/etc/openvpn/tcp.conf

With best regards, Gleb Kozyrev.
Comment 4 gkozyrev 2007-02-01 14:07:10 UTC
And please consider modifying the same way the security/openvpn-devel port.

With best regards, Gleb Kozyrev.
Comment 5 gkozyrev 2007-02-01 15:23:18 UTC
Sending the attachment again. Hope it works now...
Comment 6 Vasil Dimov freebsd_committer 2007-02-01 16:08:17 UTC
Here is the patch proposed by Gleb.

Vasil Dimov
Sometimes I really think people ought to have to pass a proper exam
before they're allowed to be parents. Not just the practical, I mean.
    -- (Terry Pratchett, Thief of Time)
Comment 7 dfilter freebsd_committer 2007-02-23 08:38:59 UTC
vd          2007-02-23 08:38:53 UTC

  FreeBSD ports repository

  Modified files:
    security/openvpn     Makefile 
    security/openvpn/files openvpn.sh.in 
  * Add support for running multiple instances of openvpn to the startup script
    Inspired by [1]
  * Update the comment which says not to send notices about 2.0.8 to 2.0.9 since
    2.0.9 also introduces only Windows changes. Remove maintainer's name from
    this comment since he did not explicitly state this.
  PR:             ports/108371 [1]
  Submitted by:   Denis Shaposhnikov <dsh@vlink.ru>, Gleb Kozyrev <gkozyrev@gmail.com> [1]
  Approved by:    matthias.andree@gmx.de (maintainer timeout, 28 days)
  Revision  Changes    Path
  1.32      +3 -3      ports/security/openvpn/Makefile
  1.5       +37 -18    ports/security/openvpn/files/openvpn.sh.in
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Vasil Dimov freebsd_committer 2007-02-23 08:39:07 UTC
State Changed
From-To: feedback->closed

I committed a patch that achieves the same goals but using slightly different 
approach. Thanks!